SetPermissions.NonPosixMode (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: SetPermissions, enum: NonPosixMode

Package org.apache.tools.ant.taskdefs

# Enum Class SetPermissions.NonPosixMode

java.lang.Object
java.lang.Enum<SetPermissions.NonPosixMode>
org.apache.tools.ant.taskdefs.SetPermissions.NonPosixMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SetPermissions.NonPosixMode>`, `Constable`

Enclosing class:
  `SetPermissions`

public static enum SetPermissions.NonPosixMode extends Enum<SetPermissions.NonPosixMode>
Options for dealing with file systems that don't support POSIX permissions.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `fail`
  Fail the build.
  `pass`
  Log an error and go on.
  `tryDosOrFail`
  Try DosFilePermissions - setting the read-only flag - and fail the build if that fails as well.
  `tryDosOrPass`
  Try DosFilePermissions - setting the read-only flag - and log an error and go on if that fails as well.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SetPermissions.NonPosixMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SetPermissions.NonPosixMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### fail

    public static final SetPermissions.NonPosixMode fail
    Fail the build.

  - ### pass

    public static final SetPermissions.NonPosixMode pass
    Log an error and go on.

  - ### tryDosOrFail

    public static final SetPermissions.NonPosixMode tryDosOrFail
    Try DosFilePermissions - setting the read-only flag - and fail the build if that fails as well.

  - ### tryDosOrPass

    public static final SetPermissions.NonPosixMode tryDosOrPass
    Try DosFilePermissions - setting the read-only flag - and log an error and go on if that fails as well.

- ## Method Details

  - ### values

    public static SetPermissions.NonPosixMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SetPermissions.NonPosixMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null